UbixOS V2 2.0

Data Fields
fs_dir_ent Struct Reference

`#include <fat_access.h>`

Collaboration diagram for fs_dir_ent:

## Data Fields
uint32 | cluster
char | filename [260]
uint8 | is_dir
uint32 | size

## Detailed Description

Definition at line 97 of file fat_access.h.

## Field Documentation

## ◆ cluster

uint32 fs_dir_ent::cluster

Definition at line 101 of file fat_access.h.

Referenced by fatfs_list_directory_next(), and fl_opendir().

## ◆ filename

char fs_dir_ent::filename[260]

Definition at line 99 of file fat_access.h.

Referenced by fatfs_list_directory_next().

## ◆ is_dir

uint8 fs_dir_ent::is_dir

Definition at line 100 of file fat_access.h.

Referenced by fatfs_list_directory_next().

## ◆ size

uint32 fs_dir_ent::size

Definition at line 102 of file fat_access.h.

Referenced by fatfs_list_directory_next().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/fs/fat/fat_access.h